import dataiku
from flask import request
from input_interface import interface_to_dataset, dataset_to_interface
from commons.python.fetch.static_resources import fetch_route

app.register_blueprint(fetch_route)

slots_dataset = "webapp_slots_availability"
cache_dataset = "webapp_cache"
compatibility_dataset = "input_compatibility"

@app.route("/", methods=['POST'])
def index():
    if list(request.form.keys())[0] == 'periods':
        message = request.form['periods']
        print("message:",message)
        print("type:",type(interface_to_dataset(message, slots_dataset,cache_dataset)))
        return interface_to_dataset(message, slots_dataset,cache_dataset)
    
@app.route("/getPeriods", methods=['GET'])
def getPeriods():
    json_data = dataset_to_interface(cache_dataset,compatibility_dataset)    
    return json_data